Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.query
Class JREmptyQueryExecuter

    java.lang.Object
      net.sf.jasperreports.engine.query.JREmptyQueryExecuter

All Implemented Interfaces:
  JRQueryExecuter

    public class JREmptyQueryExecuter

extends java.lang.Object
implements JRQueryExecuter

Version:
  $Id: JREmptyQueryExecuter.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JREmptyQueryExecuter()`

Method Summary
`boolean` | `cancelQuery()` Cancels the query if it's currently running.
`void` | `close()` Closes resources kept open during the data source iteration.
`JRDataSource` | `createDatasource()` Executes the query and creates a `JRDataSource` out of the result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JREmptyQueryExecuter

    public JREmptyQueryExecuter()

Method Detail

### cancelQuery

    public boolean cancelQuery()
                        throws JRException

  Description copied from interface: `JRQueryExecuter`
  Cancels the query if it's currently running.

  This method will be called from a different thread if the client decides to cancel the filling process.

  Specified by:
    `cancelQuery` in interface `JRQueryExecuter`
  Returns:
    `true` if and only if the query was running and it has been canceled
  Throws:
    `JRException`

### close

    public void close()

  Description copied from interface: `JRQueryExecuter`
  Closes resources kept open during the data source iteration.

  This method is called after the report is filled or the dataset is iterated. If a resource is not needed after the data source has been created, it should be released at the end of `createDatasource`.

  Specified by:
    `close` in interface `JRQueryExecuter`

### createDatasource

    public JRDataSource createDatasource()
                                  throws JRException

  Description copied from interface: `JRQueryExecuter`
  Executes the query and creates a `JRDataSource` out of the result.

  Specified by:
    `createDatasource` in interface `JRQueryExecuter`
  Returns:
    a `JRDataSource` wrapping the query execution result.
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com